#ifndef GAMEMODE_H
#define GAMEMODE_H

#include "tier0/platform.h"

class CGameMode
{
public:
	virtual void RoundBegin( void );
	virtual void RoundEnd( void );
	bool bCanPlayerSpawnMidRound;
};

interface IGameModeManager
{
public:
	static void Init( void );
	static void Frame( void );
	static void StartGameMode(CGameMode *pGameMode);
	static CGameMode *GetCurrentMode( void );
	static void RestartCurrentMode( void );
};

#endif
